Subject: bug#17561: Emacs can forget processes

From: Paul Eggert <[email-masked]>
Date: Mon, 26 May 2014 21:05:56 -0700

I see another bug in the-bug.txt line 399:

16300 20:00:21.012145 kill(4294935048, SIGHUP) = -1 ESRCH (No such 
process) <0.000009>

Here, the subprocess has already been reaped, but Emacs is trying to 
kill it with SIGHUP.  This is a no-no, as Emacs might kill some other 
random victim process.  There's a similar bug in line 408.

I doubt whether this bug is causing your problem, but we should fix it 
anyway.  I doubt whether this bug is a regression, so I've installed a 
patch for this as trunk bzr 117161.